Bug 171194 - [PATCH] games/secretmaryochronicles: update to 1.10.20120512_4, Makefile changed, OptionsNG
[PATCH] games/secretmaryochronicles: update to 1.10.20120512_4, Makefile chan...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 02:20 UTC by nemysis
Modified: 2012-09-06 17:00 UTC (History)
1 user (show)

See Also:


Attachments
secretmaryochronicles-1.10.20120512_4.patch (1.38 KB, patch)
2012-08-31 02:20 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-08-31 02:20:06 UTC
Makefile changed:

because portlint -A not like 1.10.git20120512

DISTNAME=<---->smc-1.10.git20120512

added

-e 's|/usr/share/|${LOCALBASE}/share/|'

OptionsNG

- Update to 1.10.20120512_4

Port maintainer (amdmi3@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-08-31 02:20:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 amdmi3 2012-09-04 19:30:08 UTC
* nemysis (nemysis@gmx.ch) wrote:

>  PORTNAME=	secretmaryochronicles
> -PORTVERSION=	1.10.git20120512
> -PORTREVISION=	3
> +PORTVERSION=	1.10.20120512
> +PORTREVISION=	4
>  CATEGORIES=	games
>  MASTER_SITES=	http://mirror.amdmi3.ru/distfiles/
>  #		SF/smclone/Secret%20Maryo%20Chronicles/${PORTVERSION}
> -DISTNAME=	smc-${PORTVERSION}
> +DISTNAME=	smc-1.10.git20120512

Portlint's complain on strings in portversion is incorrect, so
this change is not needed. Portlint patch is pending, however some
port handling utilities are still to be checked whether they handle
strings correctly. This port is an example why we need strings in
PORTVERSION.

>  post-patch:
> -	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' ${WRKSRC}/autogen.sh
> +	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
> +	-e 's|/usr/share/|${LOCALBASE}/share/|' ${WRKSRC}/autogen.sh

Not really needed, /usr/local fix is enough for autogen.sh to work
correctly.

>  run-autotools:
>  	cd ${WRKSRC} && ${SH} ./autogen.sh
>  	@${REINPLACE_CMD} -e '/^LIBS =/ s|$$|$$(INTLLIBS)|' \
>  		${WRKSRC}/src/Makefile.in
>  
> -.if !defined(NOPORTDOCS)
> -PORTDOCS=	controls.html style.css
> -
>  post-install:
> +.if ${PORT_OPTIONS:MDOCS}
>  	${MKDIR} ${DOCSDIR}
> -.for f in ${PORTDOCS}
> +.  for f in ${PORTDOCS}
>  	${INSTALL_DATA} ${WRKSRC}/docs/${f} ${DOCSDIR}
> -.endfor
> +.  endfor
>  .endif

I'd prefer to not use options for DOCS when that's a single option.
Dialog asking whether I need docs for each and every port is useless
and annoying.

Thus, I'll only take PORTDOCS+=history.html from this patch.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 dfilter freebsd_committer 2012-09-04 19:31:05 UTC
Author: amdmi3
Date: Tue Sep  4 18:30:48 2012
New Revision: 303667
URL: http://svn.freebsd.org/changeset/ports/303667

Log:
  - Add missing PORTDOC
  
  PR:		171194
  Submitted by:	nemysis <nemysis@gmx.ch>

Modified:
  head/games/secretmaryochronicles/Makefile

Modified: head/games/secretmaryochronicles/Makefile
==============================================================================
--- head/games/secretmaryochronicles/Makefile	Tue Sep  4 18:27:59 2012	(r303666)
+++ head/games/secretmaryochronicles/Makefile	Tue Sep  4 18:30:48 2012	(r303667)
@@ -7,7 +7,7 @@
 
 PORTNAME=	secretmaryochronicles
 PORTVERSION=	1.10.git20120512
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	games
 MASTER_SITES=	http://mirror.amdmi3.ru/distfiles/
 #		SF/smclone/Secret%20Maryo%20Chronicles/${PORTVERSION}
@@ -46,7 +46,7 @@ run-autotools:
 		${WRKSRC}/src/Makefile.in
 
 .if !defined(NOPORTDOCS)
-PORTDOCS=	controls.html style.css
+PORTDOCS=	controls.html history.html style.css
 
 post-install:
 	${MKDIR} ${DOCSDIR}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Dmitry Marakasov freebsd_committer 2012-09-04 19:31:06 UTC
State Changed
From-To: open->closed

Committed partially. Thanks!
Comment 5 dfilter freebsd_committer 2012-09-06 16:56:02 UTC
Author: amdmi3
Date: Thu Sep  6 15:55:47 2012
New Revision: 303774
URL: http://svn.freebsd.org/changeset/ports/303774

Log:
  - Add optionsNG
  
  PR:		171194
  Submitted by:	nemysis <nemysis@gmx.ch>

Modified:
  head/games/secretmaryochronicles/Makefile

Modified: head/games/secretmaryochronicles/Makefile
==============================================================================
--- head/games/secretmaryochronicles/Makefile	Thu Sep  6 15:55:28 2012	(r303773)
+++ head/games/secretmaryochronicles/Makefile	Thu Sep  6 15:55:47 2012	(r303774)
@@ -37,6 +37,10 @@ DATADIR=	${PREFIX}/share/smc
 
 WRKSRC=		${WRKDIR}/smc
 
+PORTDOCS=	controls.html history.html style.css
+
+.include <bsd.port.options.mk>
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' ${WRKSRC}/autogen.sh
 
@@ -45,14 +49,12 @@ run-autotools:
 	@${REINPLACE_CMD} -e '/^LIBS =/ s|$$|$$(INTLLIBS)|' \
 		${WRKSRC}/src/Makefile.in
 
-.if !defined(NOPORTDOCS)
-PORTDOCS=	controls.html history.html style.css
-
+.if ${PORT_OPTIONS:MDOCS}
 post-install:
 	${MKDIR} ${DOCSDIR}
-.for f in ${PORTDOCS}
+.  for f in ${PORTDOCS}
 	${INSTALL_DATA} ${WRKSRC}/docs/${f} ${DOCSDIR}
-.endfor
+.  endfor
 .endif
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"